Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038724
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorN/A2018-06-08 06:392018-10-29 11:35
ReporterguillermogilView Statuspublic 
Assigned Toguillermogil 
PrioritynormalResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revisionfec7e877be46
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038724: It is not possible to set a reason for price modification

DescriptionIt is needed to have the possibility to set a reason for price modification as Reject Quotations or Returns Reasons.
A new window called Price Modification Reasons will have the records of this functionality. If there is any record active, this behavior will be enabled.
Steps To ReproduceN/A
Proposed SolutionSee diff attached
TagsNo tags attached.
Attached Filesdiff file icon PriceModificationReason.diff [^] (122,722 bytes) 2018-10-16 07:16 [Show Content]
diff file icon TestPriceModificationReason.diff [^] (12,892 bytes) 2018-10-16 07:16 [Show Content]
diff file icon SampledataPriceModificationReason.diff [^] (7,569 bytes) 2018-10-16 07:16 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039917 resolvedguillermogil Missing sync table for OBPOS_PriceReason 

-  Notes
(0107350)
hgbot (developer)
2018-10-17 07:01

Repository: tools/automation/pi-mobile
Changeset: d70601a764f2894bc4435084cf8741635266a510
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed Oct 17 06:58:59 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/d70601a764f2894bc4435084cf8741635266a510 [^]

Related to issue 38724: Added tests for Price Modification Reason

---
M src-test/org/openbravo/test/mobile/core/utils/AllowedErrorsHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I38724_AllowPriceModificationVerifiedReturns.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I38724_PriceModificationReason.java
---
(0107351)
hgbot (developer)
2018-10-17 07:01

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 21fd41fd9fc1938355f4a3d57853bc89ccccf392
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed Oct 17 07:00:41 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/21fd41fd9fc1938355f4a3d57853bc89ccccf392 [^]

Related to issue 38724: Added Sampledata for Price Modification

---
M referencedata/sampledata/The_White_Valley_Group/AD_WINDOW_ACCESS.xml
A referencedata/sampledata/The_White_Valley_Group/OBPOS_PRICEREASON.xml
---
(0107352)
hgbot (developer)
2018-10-17 07:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fec7e877be463eb59a2e482cdb0d349d0c99347b
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed Oct 17 07:01:28 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fec7e877be463eb59a2e482cdb0d349d0c99347b [^]

Fixed Issue 38724: Price Modification Project

Added tablaes to show Price Modification
Added the possibility to modify the price of a verified return

---
M src-db/database/model/modifiedTables/C_ORDERLINE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/components/modalreceiptlineproperties.js
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/model/pointofsale-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboardorder.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
A src-db/database/model/tables/OBPOS_PRICEREASON.xml
A src/org/openbravo/retail/posterminal/term/PriceModificationReason.java
A web/org.openbravo.retail.posterminal/js/components/modalPriceModification.js
---

- Issue History
Date Modified Username Field Change
2018-06-08 06:39 guillermogil New Issue
2018-06-08 06:39 guillermogil Assigned To => guillermogil
2018-06-08 06:39 guillermogil Triggers an Emergency Pack => No
2018-06-08 06:40 guillermogil File Added: issue38724.diff
2018-06-08 09:10 guillermogil File Deleted: issue38724.diff
2018-06-08 09:10 guillermogil File Added: issue38724.diff
2018-06-08 11:48 guillermogil File Deleted: issue38724.diff
2018-06-08 11:48 guillermogil File Added: issue38724.diff
2018-06-11 07:09 guillermogil File Deleted: issue38724.diff
2018-06-11 07:10 guillermogil File Added: issue38724.diff
2018-06-11 07:10 guillermogil File Added: sampleData.diff
2018-06-11 08:56 guillermogil File Added: testPriceReason.diff
2018-06-11 10:25 guillermogil Description Updated View Revisions
2018-07-02 15:28 guillermogil File Added: approvalHook.diff
2018-10-09 14:43 guillermogil File Added: issue0038724Final.diff
2018-10-11 07:42 guillermogil File Deleted: issue38724.diff
2018-10-11 07:42 guillermogil File Deleted: approvalHook.diff
2018-10-11 07:42 guillermogil File Deleted: issue0038724Final.diff
2018-10-11 07:42 guillermogil File Added: 38724.diff
2018-10-11 08:09 guillermogil File Deleted: testPriceReason.diff
2018-10-11 08:10 guillermogil File Added: tests.diff
2018-10-11 09:17 guillermogil File Deleted: tests.diff
2018-10-11 09:17 guillermogil File Added: tests
2018-10-11 11:01 guillermogil File Deleted: tests
2018-10-11 11:01 guillermogil File Deleted: 38724.diff
2018-10-11 11:01 guillermogil File Added: 38724.diff
2018-10-11 11:01 guillermogil File Added: tests
2018-10-11 11:42 guillermogil File Deleted: 38724.diff
2018-10-11 11:42 guillermogil File Added: 38724.diff
2018-10-16 07:16 guillermogil File Added: PriceModificationReason.diff
2018-10-16 07:16 guillermogil File Added: TestPriceModificationReason.diff
2018-10-16 07:16 guillermogil File Added: SampledataPriceModificationReason.diff
2018-10-16 07:16 guillermogil File Deleted: sampleData.diff
2018-10-16 07:17 guillermogil File Deleted: tests
2018-10-16 07:17 guillermogil File Deleted: 38724.diff
2018-10-17 07:01 hgbot Checkin
2018-10-17 07:01 hgbot Note Added: 0107350
2018-10-17 07:01 hgbot Checkin
2018-10-17 07:01 hgbot Note Added: 0107351
2018-10-17 07:01 hgbot Checkin
2018-10-17 07:01 hgbot Note Added: 0107352
2018-10-17 07:01 hgbot Status new => resolved
2018-10-17 07:01 hgbot Resolution open => fixed
2018-10-17 07:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fec7e877be463eb59a2e482cdb0d349d0c99347b [^]
2018-10-17 07:02 guillermogil Review Assigned To => jorge-garcia
2018-10-29 11:35 marvintm Status resolved => closed
2018-10-29 11:35 marvintm Fixed in Version => RR19Q1
2019-01-10 15:59 guillermogil Relationship added related to 0039917


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker